## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate routinator-ui

Name:           rust-routinator-ui
Version:        0.3.4
Release:        %autorelease
Summary:        Web UI for Routinator, a RPKI relying party software

License:        BSD-3-Clause
URL:            https://crates.io/crates/routinator-ui
Source:         %{crates_source}
Source:         https://github.com/NLnetLabs/routinator-ui/releases/download/v%{version}/routinator-ui-build.tar.gz
# license file needs to be symlinked: https://github.com/NLnetLabs/routinator-ui/pull/54
Source:         https://github.com/NLnetLabs/routinator-ui/raw/v0.3.4/LICENSE
# use dist rather than ../dist as SRC_DIR for the web assets
Patch:          routinator-ui-override-srcdir.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Web UI for Routinator, a RPKI relying party software.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# BSD-3-Clause
License:        BSD-3-Clause
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/routinator-ui

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# unpack UI artifacts
cp -p %{SOURCE2} .
mkdir dist
tar -C dist -xf %{SOURCE1}
# copy in license file
cp -p %{SOURCE2} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Wed Jan 24 2024 Michel Lind <salimma@fedoraproject.org> - 0.3.4-1
- Initial package (rhbz#2259939)
## END: Generated by rpmautospec
